# `m2c2`

A CLI tool for interacting with the M2C2Kit data and production server API.

**Usage**:

```console
$ m2c2 [OPTIONS] COMMAND [ARGS]...
```

**Options**:

* `--install-completion`: Install completion for the current shell.
* `--show-completion`: Show completion for the current shell, to copy it or customize the installation.
* `--help`: Show this message and exit.

**Commands**:

* `check-permissions`
* `generate-password`
* `get-started`
* `open-m2c2kit-changelog`
* `open-m2c2kit-docs`
* `open-m2c2kit-github`
* `open-m2c2kit-integration-guides`
* `open-m2c2kit-playground`
* `open-pypi`
* `register`
* `verify-study`

## `m2c2 check-permissions`

**Usage**:

```console
$ m2c2 check-permissions [OPTIONS]
```

**Options**:

* `--username TEXT`
* `--password TEXT`
* `--help`: Show this message and exit.

## `m2c2 generate-password`

**Usage**:

```console
$ m2c2 generate-password [OPTIONS]
```

**Options**:

* `--length INTEGER`: Password Length  [default: 24]
* `--include-numbers / --no-include-numbers`: Include Numbers  [default: include-numbers]
* `--include-lowercase / --no-include-lowercase`: Include Lowercase Characters  [default: include-lowercase]
* `--include-uppercase / --no-include-uppercase`: Include Uppercase Characters  [default: include-uppercase]
* `--begin-with-letter / --no-begin-with-letter`: Begin With A Letter  [default: begin-with-letter]
* `--include-symbols / --no-include-symbols`: Include Symbols  [default: include-symbols]
* `--no-similar-characters / --no-no-similar-characters`: No Similar Characters  [default: no-similar-characters]
* `--no-duplicate-characters / --no-no-duplicate-characters`: No Duplicate Characters  [default: no-duplicate-characters]
* `--no-sequential-characters / --no-no-sequential-characters`: No Sequential Characters  [default: no-sequential-characters]
* `--quantity INTEGER`: Quantity of passwords to generate  [default: 1]
* `--help`: Show this message and exit.

## `m2c2 get-started`

**Usage**:

```console
$ m2c2 get-started [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-m2c2kit-changelog`

**Usage**:

```console
$ m2c2 open-m2c2kit-changelog [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-m2c2kit-docs`

**Usage**:

```console
$ m2c2 open-m2c2kit-docs [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-m2c2kit-github`

**Usage**:

```console
$ m2c2 open-m2c2kit-github [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-m2c2kit-integration-guides`

**Usage**:

```console
$ m2c2 open-m2c2kit-integration-guides [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-m2c2kit-playground`

**Usage**:

```console
$ m2c2 open-m2c2kit-playground [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 open-pypi`

**Usage**:

```console
$ m2c2 open-pypi [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 register`

**Usage**:

```console
$ m2c2 register [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `m2c2 verify-study`

**Usage**:

```console
$ m2c2 verify-study [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.
